<!--
SPDX-FileCopyrightText: © 2020 Open Networking Foundation <support@opennetworking.org>
SPDX-License-Identifier: Apache-2.0
--!>
# jenkins

Jenkins Instance

## Requirements

Minimum ansible version: 2.9.5

## What this role does

This runs a Jenkins server, which can be configured to

1. Disable the default installation wizard.
2. Create an account for administrator.
3. Set up the proxy configuration if Jenkins runs behind the reverse proxy.

## What this role doesn't do

This role only handles the installation of Jenkins process and does not handle

1. Plugin setting
2. Jenkins job definition


## Defaults

# Username and password for administrator, they only works for the first time installation.
jenkins_admin_username: "admin"
jenkins_admin_password: "chang_me"

# JAVA OPTIONS for Jenkins process, the default one will disable the setup wizard.
jenkins_java_options: "-Djenkins.install.runSetupWizard=false"

# Jenkins proxy setting, used for downloading the plugin if your Jenkins can't access outside.
jenkins_proxy_host: ""
jenkins_proxy_port: ""
jenkins_proxy_noproxy:
  - "127.0.0.1"
  - "localhost"

## Example Playbook

```yaml
- hosts: all
  vars:
    jenkins_admin_username: "admin"
    jenkins_admin_password: "change_me"
    jenkins_proxy_host: "https://site.example.org"
    jenkins_proxy_port: "443"
  roles:
    - jenkins

```

## Testing

There are many tests in the `molecule/` directory, covering the  HTTP health check
and Jenkins Job Builder accessibility with administrator account.

If you want to add functionality to this role, please write tests to cover that
functionality.

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
